−

Get File/Folder Breadcrumbs

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the current location of the file or folder and the higher-level folders under which the file or folder is stored.

Endpoints

get https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/breadcrumbs

Copy full URL

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/breadcrumbs \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/breadcrumbs"
type : GET
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

resource_idstring(Required)

The unique ID of the file/folder.

Response Example

R007

R007

R004

R010

F7003

F7003

A001

R008

R008

F7004

R009

R009

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": [
      {
        "id": "cjrrrd928be6312ac408abe79ec71db3de772-ly9zm0170fb40015f4e2297a144e2b68cfa68",
        "type": "breadcrumbs",
        "attributes": {
          "link_type": "HARDLINK",
          "type": "workspace",
          "parent_ids": [
            {
              "name": "Zylker Creation Limited",
              "resource_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
              "base_parent_id": "-1",
              "res_type": "team"
            },
            {
              "name": "Marketing Details 2021",
              "resource_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
              "base_parent_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
              "res_type": "workspace"
            }
          ]
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/breadcrumbs/cjrrrd928be6312ac408abe79ec71db3de772-ly9zm0170fb40015f4e2297a144e2b68cfa68"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R007",
        "title": "Invalid pattern"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R010",
        "title": "Invalid parameter"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Insufficient permissions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R009",
        "title": "Resource not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Resource not found"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.